Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 109515 - If I emerge wxGTK-2.6.2 with -X use flag -only wxbase- it tries to emerge gtk+
Summary: If I emerge wxGTK-2.6.2 with -X use flag -only wxbase- it tries to emerge gtk+
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Highest major (vote)
Assignee: Gentoo wxWidgets Herd
URL:
Whiteboard:
Keywords:
: 121063 128036 129877 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-10-16 16:25 UTC by Carlos Bidea
Modified: 2007-03-15 09:05 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
wxGTK-2.6.2-r1.ebuild (wxGTK-2.6.2-r1.ebuild,1.43 KB, application/octet-stream)
2005-11-12 07:59 UTC, Matteo 'Peach' Pescarin
Details
Patch for wxGTK-2.6.2.ebuild for proper -X and sdl handling (wxGTK-noX.patch,1.19 KB, patch)
2005-11-20 08:48 UTC, Rodrigo Severo
Details | Diff
wxGTK-2.6.2-r2.ebuild (wxGTK-2.6.2-r2.ebuild,1.61 KB, text/plain)
2006-03-25 16:47 UTC, Marti Raudsepp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Bidea 2005-10-16 16:25:53 UTC
I am trying to emerge wxGTK-2.6.2 with -X use flag (that should install only
wxbase -non-gui libs- ) but it stills trying to emerge gtk+. In
wxGTK-2.6.1 you can use -gtk2 and -wxgtk1 USE flags to avoid this to be
installed. Now it should work in the same way with -X flag.

Reproducible: Always
Steps to Reproduce:
1.emerge wxGTK-2.6.2 with -X use flag in a system without X
2.
3.

Actual Results:  
It emerges gtk+

Expected Results:  
It shouldn't emerge any graphical package.

In the ebuild, you can see the dependency on gtk+

RDEPEND="${RDEPEND}
     opengl? ( virtual/opengl )
     >=x11-libs/gtk+-2.0
     >=dev-libs/glib-2.0
     media-libs/tiff
     odbc? ( dev-db/unixODBC )
     !mips? ( !arm? ( !hppa? ( !ia64? ( !ppc64? ( !alpha? ( !sparc? (
sdl? ( media-libs/sdl-sound ) ) ) ) ) ) ) )"


I think it should be something like


RDEPEND="${RDEPEND}
     opengl? ( virtual/opengl )
     X? ( >=x11-libs/gtk+-2.0
     >=dev-libs/glib-2.0
     media-libs/tiff )
     odbc? ( dev-db/unixODBC )
     !mips? ( !arm? ( !hppa? ( !ia64? ( !ppc64? ( !alpha? ( !sparc? (
sdl? ( media-libs/sdl-sound ) ) ) ) ) ) ) )" 

just as in 2.6.1 version
Comment 1 luca 2005-10-18 03:07:07 UTC
same i see last night...
same problem here. 
portage will download many things for gtk+ including a xserver.
Comment 2 Matteo 'Peach' Pescarin 2005-11-12 07:59:25 UTC
Created attachment 72754 [details]
wxGTK-2.6.2-r1.ebuild

This should fix the problem of wxGTK dependency problem, it works on my sistem,
pls check it on your own
Comment 3 Rodrigo Severo 2005-11-20 08:48:10 UTC
Created attachment 73252 [details, diff]
Patch for wxGTK-2.6.2.ebuild for proper -X and sdl handling

This patch is an extended version of the ebuild proposed by Mateo. It handles
both the X and the sdl use flags.
Comment 4 luca 2005-11-21 01:56:18 UTC
i patch my wxGTK-2.6.2 with Rodrigo Severos patch and now it works :)

thx for this solution

greeting
Comment 5 Francisco Lloret 2006-01-10 15:52:36 UTC
Same in my system, with wxGTK-2.6.2-r1, with unicode enabled or disabled.
Comment 6 Jakub Moc (RETIRED) gentoo-dev 2006-01-30 05:43:02 UTC
This is what I get on an xorg-less system...

[ebuild  N    ] media-libs/fontconfig-2.2.3  732 kB
[ebuild  N    ] x11-libs/cairo-1.0.2  USE="-X -doc -glitz png" 1,424 kB
[ebuild  N    ] x11-apps/ttmkfdir-3.0.9-r3  19 kB
[ebuild  N    ] x11-base/xorg-x11-6.8.2-r6  USE="-3dfx 3dnow -bitmap-fonts -cjk -debug -dlloader -dmx -doc -font-server -insecure-drivers -ipv6 -minimal mmx nls -nocxx -opengl pam -sdk sse -static -truetype-fonts -type1-fonts -xprint -xv" 45,134 kB
[ebuild  N    ] virtual/x11-6.8  0 kB
[ebuild  N    ] sys-apps/utempter-0.5.5.6  20 kB
[ebuild  N    ] x11-terms/xterm-207  USE="-Xaw3d -doc -toolbar truetype -unicode" 727 kB
[ebuild  N    ] dev-libs/atk-1.10.3  USE="-debug -doc -static" 529 kB
[ebuild  N    ] x11-libs/pango-1.10.2  USE="-debug -doc" 1,141 kB
[ebuild  N    ] dev-util/intltool-0.34.1  127 kB
[ebuild  N    ] x11-misc/shared-mime-info-0.16  735 kB
[ebuild  N    ] x11-libs/gtk+-2.8.8  USE="-debug -doc jpeg tiff" 11,627 kB
[ebuild  N    ] x11-libs/wxGTK-2.6.2-r1  USE="-X -debug -doc -gnome -joystick -odbc -opengl -sdl -unicode" 12,753 kB

And - guess what, I get *exactly* the same with USE="X". What's the point of X use flag here, that just escapes me... Why do I need xorg and gtk for no GUI build? o_O

The ebuild is definitely wrong...
Comment 7 Jakub Moc (RETIRED) gentoo-dev 2006-01-31 08:42:52 UTC
*** Bug 121063 has been marked as a duplicate of this bug. ***
Comment 8 Conrad Hoffmann 2006-03-13 00:52:47 UTC
The patch from #3 worked well for me. Please include in the portage tree!
Comment 9 Francisco Lloret 2006-03-21 08:39:35 UTC
# USE="-X -gnome -gtk2 -opengl -sdl -wxgtk1" emerge -vp wxGTK

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild   R   ] x11-libs/wxGTK-2.6.1  -debug -doc -gnome -gtk2 -joystick -odbc -opengl -sdl +unicode* -wxgtk1 0 kB 

Total size of downloads: 0 kB
#

But:

# USE="-X -gnome -gtk2 -opengl -sdl -wxgtk1" emerge -v wxGTK

returns:
...
...
>>> md5 files   ;-) files/digest-wxGTK-2.6.2
>>> md5 files   ;-) files/wxWidgets-2.6.2-gcc41.patch
>>> md5 src_uri ;-) wxWidgets-2.6.1.tar.bz2
 * To install only wxbase (non-gui libs) use -gtk2 -wxgtk1

!!! ERROR: x11-libs/wxGTK-2.6.1 failed.
!!! Function pkg_setup, Line 33, Exitcode 0
!!! You must put gtk2 in your USE if you need unicode support
!!! If you need support, post the topmost build error, NOT this status message.

#
Comment 10 Marti Raudsepp 2006-03-25 16:47:22 UTC
Created attachment 83124 [details]
wxGTK-2.6.2-r2.ebuild

The current wxGTK-2.6.2-r1 ebuild in portage, with the changes by Matteo Pescarin (comment #2) and Rodrigo Severo (comment #3) applied.

Note that for installing, you need to copy the /usr/portage/x11-libs/wxGTK/files directory into your overlay as well, it contains the patches necessary for the -r1 ebuild in portage.

The ebuild works fine for me.
Comment 11 Jakub Moc (RETIRED) gentoo-dev 2006-03-29 14:06:22 UTC
*** Bug 128036 has been marked as a duplicate of this bug. ***
Comment 12 Francisco Lloret 2006-04-05 12:38:08 UTC
The ebuild posted by Marti Raudsepp works for me.
Comment 13 Michael Crawford (ali3nx) 2006-04-05 13:42:09 UTC
Something's still not right with the ebuild. Tested on my selinux server. results below

govannon ~ # emerge -pv wxGTK

These are the packages that I would merge, in order:

Calculating dependencies                   ...done!
[ebuild  N    ] media-libs/fontconfig-2.2.3  732 kB
[ebuild  N    ] x11-libs/cairo-1.0.2  -X -doc -glitz +png 1,424 kB
[ebuild  N    ] x11-apps/ttmkfdir-3.0.9-r3  19 kB
[ebuild  N    ] x11-base/xorg-x11-6.8.2-r6  -3dfx -3dnow -bitmap-fonts -cjk -debug +dlloader -dmx -doc -font-server -insecure-drivers +ipv6 -minimal +mmx +nls -nocxx -opengl +pam -sdk +sse -static -truetype-fonts -type1-fonts (-uclibc) -xprint -xv 45,134 kB
[ebuild  N    ] virtual/x11-6.8  0 kB
[ebuild  N    ] app-arch/rpm2targz-9.0-r3  2 kB
[ebuild  N    ] sys-apps/utempter-0.5.5.6  20 kB
[ebuild  N    ] x11-terms/xterm-207  -Xaw3d -doc -toolbar +truetype +unicode 727 kB
[ebuild  N    ] dev-libs/atk-1.10.3  -debug -doc -static 529 kB
[ebuild  N    ] x11-libs/pango-1.10.3  -debug -doc 1,157 kB
[ebuild  N    ] dev-perl/XML-Parser-2.34  -minimal 224 kB
[ebuild  N    ] dev-util/intltool-0.34.1  127 kB
[ebuild  N    ] x11-misc/shared-mime-info-0.16  735 kB
[ebuild  N    ] x11-libs/gtk+-2.8.12  -debug -doc +jpeg +tiff -xinerama 11,722 kB
[ebuild     U ] x11-libs/wxGTK-2.6.2-r1 [2.6.1] -X -debug -doc -gnome -joystick -odbc -opengl -sdl -unicode 0 kB [1]

Total size of downloads: 62,559 kB
Portage overlays:
 [1] /usr/local/portage
Comment 14 Michael Crawford (ali3nx) 2006-04-05 13:44:49 UTC
bump... needed to wipe my eyes twice and look at the revision number *blush*
works much better after being keyworded heh

govannon ~ # emerge -uDNpv world

These are the packages that I would merge, in order:

Calculating world dependencies             ...done!
[ebuild     U ] sys-devel/gcc-3.4.5-r1 [3.4.5] (-altivec) -bootstrap -boundschecking -build -doc +fortran -gcj -gtk +hardened -ip28 -multilib -multislot -n32 -n64 +nls -nocxx -nopie -nossp +objc -vanilla 27,751 kB
[ebuild  N    ] sys-libs/timezone-data-2006a  322 kB
[ebuild     U ] sys-libs/glibc-2.3.5-r3 [2.3.5-r2] -build +erandom -glibc-compat20 -glibc-omitfp +hardened -linuxthreads-tls -multilib +nls +nptl -nptlonly +pic -profile +selinux +userlocales 15,632 kB
[ebuild     U ] dev-perl/DBI-1.50 [1.48] -minimal 377 kB
[ebuild     U ] app-text/docbook-xml-dtd-4.4-r1 [4.4] 93 kB
[ebuild     U ] sys-apps/debianutils-2.15 [2.14.1-r1] -build -static 181 kB
[ebuild     U ] sys-fs/udev-087 [070-r1] +selinux 185 kB
[ebuild  NS   ] sys-kernel/hardened-sources-2.6.16  -build -doc -symlink 40,069 kB
[ebuild     U ] app-admin/eselect-1.0.1 [1.0] +bash-completion -doc 143 kB
[ebuild     U ] x11-libs/wxGTK-2.6.2-r2 [2.6.1] -X -debug -doc -gnome -joystick -odbc -opengl -sdl -unicode 0 kB [1]
[ebuild     U ] dev-perl/Digest-SHA1-2.11 [2.10] -minimal 37 kB

Total size of downloads: 84,796 kB
Portage overlays:
 [1] /usr/local/portage
Comment 15 Mark Loeser (RETIRED) gentoo-dev 2006-04-13 11:50:45 UTC
Fixed in 2.6.3.2; thanks to Mart Raudsepp
Comment 16 Jakub Moc (RETIRED) gentoo-dev 2006-04-13 16:07:19 UTC
*** Bug 129877 has been marked as a duplicate of this bug. ***
Comment 17 bastian 2006-06-17 07:40:40 UTC
Why don't you release a wxGTK-2.6.2-r2 fixing this, if wxGTK-2.6.3 wasn't (and it's not yet) going to be marked as stable in a short term? I think it's worthy doing so, instead of forcing users to avoid this by creating an overlay.
Comment 18 Jakub Moc (RETIRED) gentoo-dev 2006-06-17 08:23:29 UTC
(In reply to comment #17)
> Why don't you release a wxGTK-2.6.2-r2 fixing this, if wxGTK-2.6.3 wasn't (and
> it's not yet) going to be marked as stable in a short term? I think it's worthy
> doing so, instead of forcing users to avoid this by creating an overlay.
> 

Because it wouldn't go stable anyway until it's been in the tree for at least 30 days.

Comment 19 Mart Raudsepp gentoo-dev 2006-06-17 09:29:38 UTC
In that sense it depends on bug #136924
Comment 20 Jakub Moc (RETIRED) gentoo-dev 2006-06-17 09:31:41 UTC
No more talking here, please. Bug is closed.
Comment 21 Yuri Vasilevski (RETIRED) gentoo-dev 2006-09-05 16:17:43 UTC
The wxGTK-2.6.2-r1 ebuild has unconditional dependencies on glib and gtk+ unlike the current arm stable wxGTK-2.6.1 one or the wxGTK-2.6.3.2 one. (See bug 109515)

So it probably makes sense to wait for the 2.6.3.x series (probably 2.6.3.3 from what we I tolked with leio) and stabilize that directly. So users of just wxBase on headless arm devices like the Linksys NSLU2 one running apps like amuled don't have to install glib, gtk+ and several X11 libraries because of this stabilization.
Comment 22 Yuri Vasilevski (RETIRED) gentoo-dev 2006-09-05 16:18:49 UTC
Sorry wrong bug/window.